# canvasdescriptionset.cpp File Reference

Template File. More...

`#include "canvasdescriptionset.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT_NO_GET_LOCAL_NAME (Action::CanvasDescriptionSet)
| ACTION_SET_NAME (Action::CanvasDescriptionSet,"CanvasDescriptionSet")
| ACTION_SET_LOCAL_NAME (Action::CanvasDescriptionSet, N_("Set Canvas Description"))
| ACTION_SET_TASK (Action::CanvasDescriptionSet,"set")
| ACTION_SET_CATEGORY (Action::CanvasDescriptionSet, Action::CATEGORY_CANVAS)
| ACTION_SET_PRIORITY (Action::CanvasDescriptionSet, 0)
| ACTION_SET_VERSION (Action::CanvasDescriptionSet,"0.0")
| ACTION_SET_CVS_ID (Action::CanvasDescriptionSet,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT_NO_GET_LOCAL_NAME | ( | Action::CanvasDescriptionSet |  | ) |

ACTION_SET_NAME | ( | Action::CanvasDescriptionSet | ,
|  | "CanvasDescriptionSet" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::CanvasDescriptionSet | ,
|  | N_("Set Canvas Description") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::CanvasDescriptionSet | ,
|  | "set" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::CanvasDescriptionSet | ,
|  | Action::CATEGORY_CANVAS |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::CanvasDescriptionSet | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::CanvasDescriptionSet | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::CanvasDescriptionSet | ,
|  | "$Id$" |  |
| ) |  |  |